Bug 1650366 - Add agile_team to product and component APIs
Summary: Add agile_team to product and component APIs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: WebService
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 5.0-RH2
Assignee: Jeff Fearn 🐞
QA Contact: Rony Gong 🔥
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 00:49 UTC by Jeff Fearn 🐞
Modified: 2019-04-18 08:05 UTC (History)
3 users (show)

Fixed In Version: 5.0.4.rh13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-13 02:13:38 UTC


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2018-11-16 00:49:13 UTC
Description of problem:
While the component API can set the agile team, it appears that neother the product or component get calls can show it.

Version-Release number of selected component (if applicable):
5.0

How reproducible:
Easy

Steps to Reproduce:
1. Product.get, Component.get

Actual results:
No agile_team

Expected results:
Be able to view agile_team

Additional info:
The name and the id.

Comment 1 Rony Gong 🔥 2019-01-14 05:55:13 UTC
Now, We can get the agile team value from API method of component.get, product.get subcomponent.get

Comment 2 Jeff Fearn 🐞 2019-02-06 07:11:22 UTC
This change has been deployed to partner Bugzilla [1] for pre-release testing, if your testing reveals any issues please update this bug.

1: https://partner-bugzilla.redhat.com/

Comment 3 Jeff Fearn 🐞 2019-02-13 02:13:38 UTC
This change is now live. If there are any issues, do not reopen this bug.                                                                                                           
Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.